실시간 알림 및 배포 진행 상황 업데이트를 위한 Server-Sent Event 스트림.

GET /api/v1/stream/alerts

GET/api/v1/stream/alerts

알림 이벤트 스트림

테넌트의 알림 이벤트에 대한 장기 SSE 스트림을 엽니다.

Permission: VIEW

Responses

StatusDescription
200Successful Response (object)

GET /api/v1/stream/notifications

GET/api/v1/stream/notifications

내 알림 스트림

로그인한 사용자에게 오는 알림의 SSE 스트림을 엽니다.

Responses

StatusDescription
200Successful Response (object)

GET /api/v1/stream/deployments/{deployment_id}

GET/api/v1/stream/deployments/{deployment_id}

배포 진행 상황 스트림

단일 배포의 진행 이벤트에 대한 SSE 스트림을 엽니다.

Permission: VIEW

Parameters

NameInTypeRequiredDescription
deployment_idpathstring (uuid)

Responses

StatusDescription
200Successful Response (object)
422Validation Error (HTTPValidationError)

GET /api/v1/stream/edge/{device_id}

GET/api/v1/stream/edge/{device_id}

엣지 디바이스 이벤트 스트림

한 엣지 디바이스의 변경 이벤트 SSE 스트림을 엽니다.

Permission: VIEW

Parameters

NameInTypeRequiredDescription
device_idpathstring

Responses

StatusDescription
200Successful Response (object)
422Validation Error (HTTPValidationError)

GET /api/v1/stream/tenant-deletions/{deletion_id}

GET/api/v1/stream/tenant-deletions/{deletion_id}

테넌트 삭제 진행 스트림

테넌트 삭제 작업의 진행 이벤트에 대한 SSE 스트림을 엽니다.

Parameters

NameInTypeRequiredDescription
deletion_idpathstring

Responses

StatusDescription
200Successful Response (object)
422Validation Error (HTTPValidationError)

Written for the platform as of 2026-09-21.

© Geo-MLOps